package com.huatek.busi.service.impl;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import com.alibaba.dubbo.config.annotation.Service;
import com.huatek.busi.entity.FaultCategory;
import com.huatek.busi.entity.FaultCoefficient;
import com.huatek.busi.mapper.BusiFaultMapper;
import com.huatek.busi.service.BusiFaultService;
import com.huatek.busi.vo.FaultCauseVo;
import com.huatek.busi.vo.FaultShowsVo;
import com.huatek.busi.vo.FaultSubtypesVo;
import com.huatek.busi.vo.FaultTypesVo;

/**
 * 故障相关 Service实现
 *
 * @author anker_cheng
 * @date Jun 18, 2019 6:03:40 PM
 */
@Component
@Service(interfaceClass = BusiFaultService.class)
public class BusiFaultServiceImpl implements BusiFaultService {

    @Autowired
    private BusiFaultMapper busiFaultMapper;

    @Override
    public List<FaultTypesVo> faultTypesList() {
        return busiFaultMapper.faultTypesList();
    }

    @Override
    public List<FaultSubtypesVo> faultSubtypesList(String masterId) {
        return busiFaultMapper.faultSubtypesList(masterId);
    }

    @Override
    public List<FaultShowsVo> faultShowsList(String subId) {
        return busiFaultMapper.faultShowsList(subId);
    }

    @Override
    public List<FaultCauseVo> faultCauseList(String masterId, String subId, String modeId) {
        return busiFaultMapper.faultCauseList(masterId, subId, modeId);
    }

    @Override
    public List<FaultCategory> findFaultCategory() {
         return busiFaultMapper.findFaultCategory();
    }

    @Override
    public List<FaultCoefficient> findFaultCoefficient() {
         return busiFaultMapper.findFaultCoefficient();
    }

}
